{
  "name": "rls",
  "version": "2.0.4",
  "description": "Row level security package for TypeORM and NestJS",
  "main": "dist/index.js",
  "types": "dist/index.d.ts",
  "scripts": {
    "test": "docker-compose -f test/docker-compose.yml run --rm rls-test && npm run postgres:down",
    "test:mocha": "mocha -r ts-node/register -r tsconfig-paths/register --file ./test/util/test-setup.ts --bail --exit --recursive --timeout 2000 ./test/**/*{.spec.ts,.*.spec.ts}",
    "lint": "eslint \"{src,apps,lib,test}/**/*.ts\"",
    "postgres:up": "docker-compose -f test/docker-compose.yml up -d postgres",
    "postgres:down": "docker-compose -f test/docker-compose.yml down",
    "prepublish": "tsc --project tsconfig.build.json",
    "build": "tsc --project tsconfig.build.json",
    "coverage": "npm run postgres:up && npm run coverage:test && npm run postgres:down",
    "coverage:test": "nyc npm run test:mocha",
    "coverage:open": "ts-node ./openCoverageReport.ts",
    "coverage:html": "npm run coverage && npm run coverage:open"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:maks.lomic/rls.git"
  },
  "author": "",
  "license": "UNLICENSED",
  "bugs": {
    "url": "https://github.com/Avallone-io/rls/issues"
  },
  "homepage": "https://github.com/Avallone-io/rls#readme",
  "devDependencies": {
    "@commitlint/cli": "^17.0.3",
    "@commitlint/config-conventional": "^17.0.3",
    "@istanbuljs/nyc-config-typescript": "^1.0.2",
    "@nestjs/common": "^9.0.11",
    "@nestjs/core": "^9.0.11",
    "@nestjs/platform-express": "^9.0.11",
    "@nestjs/testing": "^9.0.11",
    "@nestjs/typeorm": "^9.0.1",
    "@semantic-release/changelog": "^6.0.1",
    "@semantic-release/git": "^10.0.1",
    "@types/chai": "^4.3.3",
    "@types/chai-as-promised": "^7.1.5",
    "@types/express": "^4.17.13",
    "@types/mocha": "^9.1.1",
    "@types/node-fetch": "^2.5.12",
    "@types/sinon-chai": "^3.2.8",
    "@types/supertest": "^2.0.12",
    "@typescript-eslint/eslint-plugin": "^5.33.1",
    "@typescript-eslint/parser": "^5.33.1",
    "chai": "^4.3.6",
    "chai-as-promised": "^7.1.1",
    "eslint": "^8.22.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-prettier": "^4.2.1",
    "express": "^4.18.1",
    "husky": "^6.0.0",
    "mocha": "^10.0.0",
    "node-fetch": "^2.6.5",
    "nyc": "^15.1.0",
    "opn": "^6.0.0",
    "pg": "^8.7.3",
    "prettier": "^2.7.1",
    "rxjs": "^7.5.6",
    "semantic-release": "^19.0.3",
    "semantic-release-slack-bot": "^3.5.3",
    "sinon": "^14.0.0",
    "sinon-chai": "^3.7.0",
    "source-map-support": "^0.5.21",
    "supertest": "^6.2.4",
    "ts-node": "^10.9.1",
    "typeorm": "~0.3.0",
    "typescript": "^4.7.4"
  },
  "peerDependencies": {
    "typeorm": "~0.3.0"
  },
  "optionalDependencies": {
    "@nestjs/common": "^8.4.0 || ^9.0.0",
    "@nestjs/core": "^8.4.0 || ^9.0.0",
    "@nestjs/typeorm": "^8.1.0 || ^9.0.0",
    "express": "^4.18.1"
  },
  "nyc": {
    "extends": "@istanbuljs/nyc-config-typescript",
    "extension": [
      ".ts"
    ],
    "exclude": [
      "lib/interfaces/**/*",
      "lib/**/*.constants.ts"
    ],
    "include": [
      "lib/*",
      "lib/**/*"
    ],
    "reporter": [
      "html"
    ],
    "all": true
  },
  "mocha": {
    "require": [
      "ts-node/register",
      "source-map-support/register"
    ],
    "recursive": true
  }
}
